/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package workers;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class MainAccountantTest {
  MainAccountant mac1 = new MainAccountant("Roman", "MainAccountant", 45000);
  MainAccountant mac2 = new MainAccountant("Ivan", "MainAccountant", 42000);
  Worker worker = new Worker();

  @Test void salaryTest() {
      assertEquals(45000, mac1.getSalary(), "work correct");
  }

  @Test void charmetodTest() {
      assertEquals("I doing a report!", mac1.mainAccountant(), "work correct");
  }

  @Test void equalsTest() {
      assertEquals(false, mac1.equals(mac2), "work correct");
  }

  @Test void hashCodeTest() {
      assertNotEquals(mac1.hashCode(),mac2.hashCode());
  }
}
